POST /tasks/{task_id}/publishing-intents
1 min
POST
https://api.cmp.optimizely.com/v3/tasks/{task_id}/publishing-intents
Path Parameters
- task_idstringrequiredExampleDescription
Body Parameters
- bodyTaskPublishingIntentCreateRequestrequiredDescription
- channel_idstringrequiredExampleDescription
Responses
201
- TaskPublishingIntentResponse
- idstringrequiredExampleDescription
400
- ErrorExample
{ "message": "Unsupported arguments: a,b,c" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
401
- ErrorExample
{ "message": "Unauthorized" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
403
- ErrorExample
{ "message": "You do not have the permission to perform this operation" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
404
- ErrorExample
{ "message": "Resource not found" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
curl
curl --request POST \
--url https://api.cmp.optimizely.com/v3/tasks/{task_id}/publishing-intents \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"channel_id": "6a2fd16faec3bed9c72f7d4f"
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"channel_id": "6a2fd16faec3bed9c72f7d4f"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.cmp.optimizely.com/v3/tasks/{task_id}/publishing-intents", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.cmp.optimizely.com/v3/tasks/{task_id}/publishing-intents")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"channel_id": "6a2fd16faec3bed9c72f7d4f"
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.cmp.optimizely.com/v3/tasks/{task_id}/publishing-intents"
payload = json.dumps({
"channel_id": "6a2fd16faec3bed9c72f7d4f"
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
201
// Created publishing intent for the task
{
"id": "6a3a61f8c201c660b84bbfff"
}400
// Client error
{
"message": "Not found",
"errors": ""
}401
// Authorization error
{
"message": "Not found",
"errors": ""
}403
// Permission error
{
"message": "Not found",
"errors": ""
}404
// Not found error
{
"message": "Not found",
"errors": ""
}